// Copyright (c) 2025 shibedrill
// SPDX-License-Identifier: GPL-3.0-or-later

use core::arch::asm;
use core::panic::*;

use crate::format;

use crate::{LOGGER, LogLevel};

#[panic_handler]
pub fn panic(info: &PanicInfo) -> ! {
    log_critical!("Panic in {}: {}", info.location().unwrap(), info.message());
    loop {
        unsafe {
            asm!("nop");
        }
    }
}
